using System;
using System.Linq;
using Microsoft.AspNetCore.Mvc;
using Microsoft.EntityFrameworkCore;
using System.Threading.Tasks;

using CheckboxInGridcolumnForSqliteIntegerField.Data;

namespace CheckboxInGridcolumnForSqliteIntegerField.Controllers
{
    public partial class ExportCheckbox_in_gridcolumn_for_sqlite_integer_fieldController : ExportController
    {
        private readonly Checkbox_in_gridcolumn_for_sqlite_integer_fieldContext context;
        private readonly Checkbox_in_gridcolumn_for_sqlite_integer_fieldService service;

        public ExportCheckbox_in_gridcolumn_for_sqlite_integer_fieldController(Checkbox_in_gridcolumn_for_sqlite_integer_fieldContext context, Checkbox_in_gridcolumn_for_sqlite_integer_fieldService service)
        {
            this.service = service;
            this.context = context;
        }

        [HttpGet("/export/Checkbox_in_gridcolumn_for_sqlite_integer_field/session/csv")]
        [HttpGet("/export/Checkbox_in_gridcolumn_for_sqlite_integer_field/session/csv(fileName='{fileName}')")]
        public async Task<FileStreamResult> ExportSessionToCSV(string fileName = null)
        {
            return ToCSV(ApplyQuery(await service.GetSession(), Request.Query, false), fileName);
        }

        [HttpGet("/export/Checkbox_in_gridcolumn_for_sqlite_integer_field/session/excel")]
        [HttpGet("/export/Checkbox_in_gridcolumn_for_sqlite_integer_field/session/excel(fileName='{fileName}')")]
        public async Task<FileStreamResult> ExportSessionToExcel(string fileName = null)
        {
            return ToExcel(ApplyQuery(await service.GetSession(), Request.Query, false), fileName);
        }
    }
}
